﻿using System;
using System.Web.Mvc;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.MvcEdition;

namespace DisplayASimpleMap.Controllers
{
    public class DisplayASimpleMapController : Controller
    {
        public ActionResult DisplayASimpleMap()
        {
            return View();
        }

        [MapActionFilter]
        public void ClickEvent(Map map, GeoCollection<object> args)
        {
            PointShape position = new PointShape(Convert.ToDouble(args[0]), Convert.ToDouble(args[1]));

            InMemoryFeatureLayer pointLayer = (map.CustomOverlays["PointOverlay"] as LayerOverlay).Layers["PointLayer"] as InMemoryFeatureLayer;

            pointLayer.InternalFeatures.Add(new Feature(position));
        }
    }
}